<?php 
include './ip.php';
include './email.php';


if ($_GET['user']) {
$user = $_GET['user'];
if (is_dir("./me/".$user)) {

$directory = "./me/".$user; // 将此路径替换为目标路径

// 使用 scandir 获取目录内容，并过滤掉当前目录 (.) 和父目录 (..)
$files = array_diff(scandir($directory), array('.', '..'));

// 遍历目录内容，查找第一个目录
foreach ($files as $file) {
    if (is_dir($directory . '/' . $file)) {
        $pass = $file;
        break; // 找到第一个目录后退出循环
    }
}

$str = onlystr(15);

$oldDirectoryName = "./me/".$user."/".$pass; // 这里填写你要重命名的目录的当前名称
$newDirectoryName = "./me/".$user."/".$str; // 这里填写新的目录名称

if (@rename($oldDirectoryName, $newDirectoryName)) {
    echo "新密码已发送至邮箱!";
    @sendMail($user . '@qq.com', '#Fuxsto Host 重置密码', "您的账号[".$user."]发起了重置密码请求<br>新密码为[".$str."]");
} else {
    echo "重置失败:404";
}



}
else {
die("Fuxsto Host -> No User");

}
}





?>